org.jfree.report.structure

## Class DetailSection

- java.lang.Object
- - org.jfree.report.structure.Node
  - - org.jfree.report.structure.Element
    - - org.jfree.report.structure.Section
      - - org.jfree.report.structure.DetailSection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class DetailSection
      extends Section

  This is a convienence class. Reports dont look for it, but users do.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jfree.report.structure.Element

      `ID_ATTRIBUTE, NAME_ATTRIBUTE, NAMESPACE_ATTRIBUTE, TYPE_ATTRIBUTE, VIRTUAL_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetailSection()`

  - ### Method Summary

    - ### Methods inherited from class org.jfree.report.structure.Section

      `addNode, addNode, addNodes, addOperationAfter, addOperationBefore, clone, findFirstChild, getElementByName, getNode, getNodeArray, getNodeCount, getNodes, getOperationAfter, getOperationBefore, isRepeat, removeNode, setOperationAfter, setOperationBefore, setRepeat, toString`

    - ### Methods inherited from class org.jfree.report.structure.Element

      `addExpression, getAttribute, getAttribute, getAttributeExpression, getAttributeExpression, getAttributeExpressionMap, getAttributeExpressions, getAttributeMap, getDisplayCondition, getExpressions, getId, getLocale, getLocaleFromAttributes, getName, getNamespace, getStyle, getStyleExpression, getStyleExpressions, getType, getVisibility, isEnabled, isVirtual, setAttribute, setAttribute, setAttributeExpression, setAttributeExpression, setDisplayCondition, setEnabled, setExpressions, setId, setName, setNamespace, setStyleExpression, setType, setVirtual, setVisibility`

    - ### Methods inherited from class org.jfree.report.structure.Node

      `getGroup, getParent, getReport, getRootReport, setParent, updateParent`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DetailSection

          public DetailSection()